dpkg-0.0.3: libdpkg bindings

Safe Haskell | None
Language | Haskell2010

Debian.Dpkg.DpkgVersion

Contents

- Orphan instances

# Documentation

peekDpkgVersion :: C'dpkg_version -> IO DpkgVersion Source #

getConfigVersion :: C'pkginfo -> IO String Source #

data DpkgVersion Source #

Constructors

DpkgVersion |

Fields

- vr_epoch :: Int
- vr_version :: ByteString
- vr_revision :: ByteString

Instances

Eq DpkgVersion Source # |
Methods (==) :: DpkgVersion -> DpkgVersion -> Bool # (/=) :: DpkgVersion -> DpkgVersion -> Bool #
Show DpkgVersion Source # |
Methods showsPrec :: Int -> DpkgVersion -> ShowS # show :: DpkgVersion -> String # showList :: [DpkgVersion] -> ShowS #

# Orphan instances

Ord C'dpkg_version Source # |
Methods compare :: C'dpkg_version -> C'dpkg_version -> Ordering # (<) :: C'dpkg_version -> C'dpkg_version -> Bool # (<=) :: C'dpkg_version -> C'dpkg_version -> Bool # (>) :: C'dpkg_version -> C'dpkg_version -> Bool # (>=) :: C'dpkg_version -> C'dpkg_version -> Bool # max :: C'dpkg_version -> C'dpkg_version -> C'dpkg_version # min :: C'dpkg_version -> C'dpkg_version -> C'dpkg_version #